sortRaidMembers = function(location, target)
	if GetNumRaidMembers() == 0 then
		DEFAULT_CHAT_FRAME:AddMessage('no raid members! HELP!');
	end;
	
	local members = {};
	for i=1,MAX_RAID_MEMBERS do
		local name = GetRaidRosterInfo(i);
		tinsert(members, name);
	end;

	table.sort(members);
	for k,v in pairs(members) do
		if location == 'raid' then
			SendChatMessage(tostring(k)..': '..v, 'RAID');
		elseif location == 'party' then
			SendChatMessage(tostring(k)..': '..v, 'PARTY');
		elseif location == 'guild' then
			SendChatMessage(tostring(k)..': '..v, 'GUILD');
		elseif location == 'whisper' then
			SendChatMessage(tostring(k)..': '..v, 'WHISPER', nil, target);
		elseif location == 'say' then
			SendChatMessage(tostring(k)..': '..v, 'SAY');
		else
			DEFAULT_CHAT_FRAME:AddMessage(tostring(k)..': '..v);
		end;
	end;
end;

SlashCmdList['RAIDSORT_SLASHCMD'] = function(msg)
    local msg = strlower(msg);
    local location, target = strsplit(' ', msg);
    
    -- for debugging
    --DEFAULT_CHAT_FRAME:AddMessage('You said: '..msg);
    --DEFAULT_CHAT_FRAME:AddMessage('  location="'..tostring(location)..'"');
    --DEFAULT_CHAT_FRAME:AddMessage('  target  ="'..tostring(target)..'"');
    
    sortRaidMembers(location, target);
end;

SLASH_RAIDSORT_SLASHCMD1 = '/raidsort'
SLASH_RAIDSORT_SLASHCMD2 = '/rs'
